Index: sasview/installer_generator.py
===================================================================
--- sasview/installer_generator.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ sasview/installer_generator.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
@@ -4,10 +4,7 @@
 exists in the current directory. Edit local_config.py according to your needs.
 """
-from __future__ import print_function
-
 import local_config
 import os 
 import string
-
 
 REG_PROGRAM = """{app}\MYPROG.EXE"" ""%1"""
@@ -367,6 +364,6 @@
     f.write(TEMPLATE)
     f.close()
-    print("Generate Inno setup installer script complete")
-    print("A new file %s.iss should be created.Please refresh your directory" % str(INSTALLER_FILE))
+    print "Generate Inno setup installer script complete"
+    print "A new file %s.iss should be created.Please refresh your directory" % str(INSTALLER_FILE)
     
 if __name__ == "__main__":
Index: sasview/local_config.py
===================================================================
--- sasview/local_config.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ sasview/local_config.py	(revision ea45bfe4e68bda8abf0866aa2c51cfcf4cf63e36)
@@ -2,6 +2,4 @@
     Application settings
 """
-from __future__ import print_function
-
 import time
 import os
@@ -152,5 +150,5 @@
         :TODO - Need method doc string
         """
-        print("%g:  %s" % (time.clock(), message))
+        print "%g:  %s" % (time.clock(), message)
 
         if __EVT_DEBUG_2_FILE__:
Index: sasview/setup_exe.py
===================================================================
--- sasview/setup_exe.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ sasview/setup_exe.py	(revision f36e01fa1b9b521d3f7496b637e33bed18626df2)
@@ -13,5 +13,4 @@
 # be added to the distribution directory for that purpose.
 # See for example the 'images' directory below.
-from __future__ import print_function
 
 import os
@@ -63,6 +62,6 @@
         sys.argv.remove('--extrapath')
 except:
-    print("Error processing extra python path needed to build SasView\n  %s" %
-          sys.exc_value)
+    print("Error processing extra python path needed to build SasView\n  %s" % \
+                sys.exc_value)
 
 
Index: sasview/setup_mac.py
===================================================================
--- sasview/setup_mac.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ sasview/setup_mac.py	(revision cfa88eef20961bfc7dcff1169b6743d6c13b2451)
@@ -11,6 +11,4 @@
    12/05/2011: Needs macholib >= 1.4.3 and py2app >= 0.6.4 to create a 64-bit app
 """
-from __future__ import print_function
-
 from setuptools import setup
 import periodictable.xsf
@@ -30,5 +28,5 @@
 build_path = os.path.join(root, 'build','lib.'+platform)
 sys.path.insert(0, build_path)
-print("BUILDING PATH INSIDE", build_path)
+print "BUILDING PATH INSIDE", build_path
 ICON = local_config.SetupIconFile_mac
 EXTENSIONS_LIST = []
@@ -72,5 +70,5 @@
 # See if the documentation has been built, and if so include it.
 doc_path = os.path.join(build_path, "doc")
-print(doc_path)
+print doc_path
 if os.path.exists(doc_path):
     for dirpath, dirnames, filenames in os.walk(doc_path):
Index: sasview/wxcruft.py
===================================================================
--- sasview/wxcruft.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ sasview/wxcruft.py	(revision 12e5cc86b4462244202093bccc9f4a494ab24208)
@@ -1,4 +1,2 @@
-from __future__ import print_function
-
 import inspect
 import wx
@@ -31,5 +29,5 @@
     else:
         tag = ""
-    print("NewId %d from %s(%d):%s%s"%(id, path, line, function, tag))
+    print "NewId %d from %s(%d):%s%s"%(id, path, line, function, tag)
     return id
 
Index: src/examples/data_generator/testdata_generator.py
===================================================================
--- src/examples/data_generator/testdata_generator.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/examples/data_generator/testdata_generator.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
@@ -1,4 +1,2 @@
-from __future__ import print_function
-
 """
     Generate two correlated sets of data
@@ -44,5 +42,5 @@
         # Write line data set
         fd = open(filename, 'w')
-        print("Creating ", filename)
+        print "Creating ", filename
         fd.write("#y=A*x+B\n#A=%g\n#B=%g\n" % (self.constant_a, self.constant_b))
         
Index: src/sas/sascalc/calculator/sas_gen.py
===================================================================
--- src/sas/sascalc/calculator/sas_gen.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sascalc/calculator/sas_gen.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -3,6 +3,4 @@
 SAS generic computation and sld file readers
 """
-from __future__ import print_function
-
 import sas.sascalc.calculator.core.sld2i as mod
 from sas.sascalc.calculator.BaseComponent import BaseComponent
@@ -560,5 +558,5 @@
                             vol_pix = np.append(vol_pix, vol)
                         except:
-                            print("Error: set the sld of %s to zero"% atom_name)
+                            print "Error: set the sld of %s to zero"% atom_name
                             sld_n = np.append(sld_n, 0.0)
                         sld_mx = np.append(sld_mx, 0)
@@ -611,5 +609,5 @@
         Write
         """
-        print("Not implemented... ")
+        print "Not implemented... "
 
 class SLDReader(object):
@@ -1046,5 +1044,5 @@
     from mpl_toolkits.mplot3d import Axes3D
     current_dir = os.path.abspath(os.path.curdir)
-    print(current_dir)
+    print current_dir
     for i in range(6):
         current_dir, _ = os.path.split(current_dir)
Index: src/sas/sascalc/data_util/calcthread.py
===================================================================
--- src/sas/sascalc/data_util/calcthread.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sascalc/data_util/calcthread.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -4,5 +4,4 @@
 #  \brief Abstract class for defining calculation threads.
 #
-from __future__ import print_function
 
 import thread
@@ -296,5 +295,5 @@
     """
     def __init__(self, n=20000):
-        print(thread.get_ident())
+        print thread.get_ident()
         self.starttime = clock()
         self.done = False
@@ -308,20 +307,20 @@
         self.work2.queue(n)
         self.work3.queue(n)
-        print("Expect updates from Main every second and from thread every 2.5 seconds")
-        print("")
+        print "Expect updates from Main every second and from thread every 2.5 seconds"
+        print ""
         self.work.ready(.5)
         while not self.done:
             sleep(1)
-            print("Main thread %d at %.2f" % (thread.get_ident(),
-                                              clock() - self.starttime))
+            print "Main thread %d at %.2f" % (thread.get_ident(),
+                                              clock() - self.starttime)
 
     def update(self, i=0):
-        print("Update i=%d from thread %d at %.2f" % (i, thread.get_ident(),
-                                                      clock() - self.starttime))
+        print "Update i=%d from thread %d at %.2f" % (i, thread.get_ident(),
+                                                      clock() - self.starttime)
         self.work.ready(2.5)
 
     def complete(self, total=0.0):
-        print("Complete total=%g from thread %d at %.2f" % (total,
+        print "Complete total=%g from thread %d at %.2f" % (total,
                                                     thread.get_ident(),
-                                                    clock() - self.starttime))
+                                                    clock() - self.starttime)
         self.done = True
Index: src/sas/sascalc/data_util/formatnum.py
===================================================================
--- src/sas/sascalc/data_util/formatnum.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sascalc/data_util/formatnum.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
@@ -37,5 +37,5 @@
 formatter.compact flag.
 """
-from __future__ import division, print_function
+from __future__ import division
 
 import math
Index: src/sas/sascalc/data_util/registry.py
===================================================================
--- src/sas/sascalc/data_util/registry.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sascalc/data_util/registry.py	(revision b699768550de9d4b35b087234ec1d2a461922bab)
@@ -6,5 +6,4 @@
 and registers the built-in file extensions.
 """
-from __future__ import print_function
 
 import os.path
Index: src/sas/sascalc/dataloader/data_info.py
===================================================================
--- src/sas/sascalc/dataloader/data_info.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sascalc/dataloader/data_info.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -16,5 +16,4 @@
 ######################################################################
 
-from __future__ import print_function
 
 #TODO: Keep track of data manipulation in the 'process' data structure.
Index: src/sas/sascalc/dataloader/readers/IgorReader.py
===================================================================
--- src/sas/sascalc/dataloader/readers/IgorReader.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sascalc/dataloader/readers/IgorReader.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
@@ -12,6 +12,4 @@
 #copyright 2008, University of Tennessee
 #############################################################################
-from __future__ import print_function
-
 import os
 
Index: src/sas/sascalc/dataloader/readers/associations.py
===================================================================
--- src/sas/sascalc/dataloader/readers/associations.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sascalc/dataloader/readers/associations.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
@@ -14,6 +14,4 @@
 #copyright 2009, University of Tennessee
 #############################################################################
-from __future__ import print_function
-
 import os
 import sys
@@ -73,5 +71,5 @@
                     logger.error(msg)
     else:
-        print("Could not find reader association settings\n  %s [%s]" % (__file__, os.getcwd()))
+        print "Could not find reader association settings\n  %s [%s]" % (__file__, os.getcwd())
          
          
Index: src/sas/sascalc/dataloader/readers/red2d_reader.py
===================================================================
--- src/sas/sascalc/dataloader/readers/red2d_reader.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sascalc/dataloader/readers/red2d_reader.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
@@ -9,6 +9,4 @@
 #copyright 2008, University of Tennessee
 ######################################################################
-from __future__ import print_function
-
 import os
 import numpy as np
@@ -84,5 +82,5 @@
         detector = Detector()
         if len(output.detector) > 0:
-            print(str(output.detector[0]))
+            print str(output.detector[0])
         output.detector.append(detector)
                 
Index: src/sas/sascalc/fit/AbstractFitEngine.py
===================================================================
--- src/sas/sascalc/fit/AbstractFitEngine.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sascalc/fit/AbstractFitEngine.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -1,3 +1,2 @@
-from __future__ import print_function
 
 import  copy
@@ -628,3 +627,3 @@
         """
         """
-        print(str(self))
+        print str(self)
Index: src/sas/sascalc/fit/Loader.py
===================================================================
--- src/sas/sascalc/fit/Loader.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sascalc/fit/Loader.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
@@ -1,4 +1,2 @@
-from __future__ import print_function
-
 # class Loader  to load any king of file
 #import wx
@@ -56,5 +54,5 @@
                     self.dx = np.zeros(len(self.x))
                 except:
-                    print("READ ERROR", line)
+                    print "READ ERROR", line
             # Sanity check
             if not len(self.x) == len(self.dx):
@@ -82,7 +80,7 @@
     load = Load()
     load.set_filename("testdata_line.txt")
-    print(load.get_filename()) 
+    print load.get_filename() 
     load.set_values()
-    print(load.get_values())
+    print load.get_values()
     
             
Index: src/sas/sascalc/fit/expression.py
===================================================================
--- src/sas/sascalc/fit/expression.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sascalc/fit/expression.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
@@ -43,6 +43,4 @@
 Ideally, this interface will change
 """
-from __future__ import print_function
-
 import math
 import re
Index: src/sas/sascalc/pr/fit/AbstractFitEngine.py
===================================================================
--- src/sas/sascalc/pr/fit/AbstractFitEngine.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sascalc/pr/fit/AbstractFitEngine.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -1,3 +1,2 @@
-from __future__ import print_function
 
 import  copy
@@ -631,3 +630,3 @@
         """
         """
-        print(str(self))
+        print str(self)
Index: src/sas/sascalc/pr/fit/Loader.py
===================================================================
--- src/sas/sascalc/pr/fit/Loader.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sascalc/pr/fit/Loader.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
@@ -1,4 +1,2 @@
-from __future__ import print_function
-
 # class Loader  to load any king of file
 #import wx
@@ -56,5 +54,5 @@
                     self.dx = np.zeros(len(self.x))
                 except:
-                    print("READ ERROR", line)
+                    print "READ ERROR", line
             # Sanity check
             if not len(self.x) == len(self.dx):
@@ -82,7 +80,7 @@
     load = Load()
     load.set_filename("testdata_line.txt")
-    print(load.get_filename()) 
+    print load.get_filename() 
     load.set_values()
-    print(load.get_values())
+    print load.get_values()
     
             
Index: src/sas/sascalc/pr/fit/expression.py
===================================================================
--- src/sas/sascalc/pr/fit/expression.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sascalc/pr/fit/expression.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
@@ -1,4 +1,2 @@
-from __future__ import print_function
-
 # This program is public domain
 """
Index: src/sas/sascalc/pr/num_term.py
===================================================================
--- src/sas/sascalc/pr/num_term.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sascalc/pr/num_term.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -1,4 +1,2 @@
-from __future__ import print_function
-
 import math
 import numpy as np
@@ -199,3 +197,3 @@
     # Testing estimator
     est = NTermEstimator(invert)
-    print(est.num_terms())
+    print est.num_terms()
Index: src/sas/sascalc/simulation/analmodelpy/tests/signon.py
===================================================================
--- src/sas/sascalc/simulation/analmodelpy/tests/signon.py	(revision 9c3d784dfd54f5c129d7220da877e5dd6c18f62b)
+++ src/sas/sascalc/simulation/analmodelpy/tests/signon.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
@@ -17,16 +17,16 @@
     from analmodelpy import analmodelpy as analmodelpymodule
 
-    print("copyright information:")
-    print("   ", analmodelpy.copyright())
-    print("   ", analmodelpymodule.copyright())
+    print "copyright information:"
+    print "   ", analmodelpy.copyright()
+    print "   ", analmodelpymodule.copyright()
 
-    print()
-    print("module information:")
-    print("    file:", analmodelpymodule.__file__)
-    print("    doc:", analmodelpymodule.__doc__)
-    print("    contents:", dir(analmodelpymodule))
+    print
+    print "module information:"
+    print "    file:", analmodelpymodule.__file__
+    print "    doc:", analmodelpymodule.__doc__
+    print "    contents:", dir(analmodelpymodule)
 
-    print()
-    print(analmodelpymodule.hello())
+    print
+    print analmodelpymodule.hello()
 
 # version
Index: src/sas/sascalc/simulation/analmodelpy/tests/testanal_model.py
===================================================================
--- src/sas/sascalc/simulation/analmodelpy/tests/testanal_model.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sascalc/simulation/analmodelpy/tests/testanal_model.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
@@ -11,6 +11,4 @@
 #  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 # 
-from __future__ import print_function
-
 
 if __name__ == "__main__":
@@ -20,12 +18,12 @@
     from SASsimulation import geoshapespy
 
-    print("copyright information:")
-    print("   ", analmodelpymodule.copyright())
+    print "copyright information:"
+    print "   ", analmodelpymodule.copyright()
 
-    print()
-    print("module information:")
-    print("    file:", analmodelpymodule.__file__)
-    print("    doc:", analmodelpymodule.__doc__)
-    print("    contents:", dir(analmodelpymodule))
+    print
+    print "module information:"
+    print "    file:", analmodelpymodule.__file__
+    print "    doc:", analmodelpymodule.__doc__
+    print "    contents:", dir(analmodelpymodule)
 
     a = geoshapespy.new_sphere(1.0)
Index: src/sas/sascalc/simulation/geoshapespy/tests/testshapes.py
===================================================================
--- src/sas/sascalc/simulation/geoshapespy/tests/testshapes.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sascalc/simulation/geoshapespy/tests/testshapes.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
@@ -11,6 +11,4 @@
 #  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 # 
-from __future__ import print_function
-
 
 if __name__ == "__main__":
@@ -18,9 +16,9 @@
     from SASsimulation import geoshapespy
 
-    print()
-    print("module information:")
-    print("    file:", geoshapespy.__file__)
-    print("    doc:", geoshapespy.__doc__)
-    print("    contents:", dir(geoshapespy))
+    print
+    print "module information:"
+    print "    file:", geoshapespy.__file__
+    print "    doc:", geoshapespy.__doc__
+    print "    contents:", dir(geoshapespy)
 
     sp = geoshapespy.new_sphere(10)
Index: src/sas/sascalc/simulation/iqPy/tests/signon.py
===================================================================
--- src/sas/sascalc/simulation/iqPy/tests/signon.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sascalc/simulation/iqPy/tests/signon.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
@@ -11,6 +11,4 @@
 #  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 # 
-from __future__ import print_function
-
 
 if __name__ == "__main__":
@@ -19,15 +17,15 @@
     from iqPy import iqPy as iqPymodule
 
-    print("copyright information:")
-    print("   ", iqPy.copyright())
-    print("   ", iqPymodule.copyright())
+    print "copyright information:"
+    print "   ", iqPy.copyright()
+    print "   ", iqPymodule.copyright()
 
-    print()
-    print("module information:")
-    print("    file:", iqPymodule.__file__)
-    print("    doc:", iqPymodule.__doc__)
-    print("    contents:", dir(iqPymodule))
+    print
+    print "module information:"
+    print "    file:", iqPymodule.__file__
+    print "    doc:", iqPymodule.__doc__
+    print "    contents:", dir(iqPymodule)
 
-    print()
+    print
 
 # version
Index: src/sas/sascalc/simulation/iqPy/tests/testiq.py
===================================================================
--- src/sas/sascalc/simulation/iqPy/tests/testiq.py	(revision 9c3d784dfd54f5c129d7220da877e5dd6c18f62b)
+++ src/sas/sascalc/simulation/iqPy/tests/testiq.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
@@ -17,5 +17,5 @@
 	iqPy.new_iq(10,0.01,0.4)
 
-	print("pass.")
+	print "pass."
 
 # version
Index: src/sas/sascalc/simulation/pointsmodelpy/tests/signon.py
===================================================================
--- src/sas/sascalc/simulation/pointsmodelpy/tests/signon.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sascalc/simulation/pointsmodelpy/tests/signon.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
@@ -11,6 +11,4 @@
 #  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 # 
-from __future__ import print_function
-
 
 if __name__ == "__main__":
@@ -19,16 +17,16 @@
     from pointsmodelpy import pointsmodelpy as pointsmodelpymodule
 
-    print("copyright information:")
-    print("   ", pointsmodelpy.copyright())
-    print("   ", pointsmodelpymodule.copyright())
+    print "copyright information:"
+    print "   ", pointsmodelpy.copyright()
+    print "   ", pointsmodelpymodule.copyright()
 
-    print()
-    print("module information:")
-    print("    file:", pointsmodelpymodule.__file__)
-    print("    doc:", pointsmodelpymodule.__doc__)
-    print("    contents:", dir(pointsmodelpymodule))
+    print
+    print "module information:"
+    print "    file:", pointsmodelpymodule.__file__
+    print "    doc:", pointsmodelpymodule.__doc__
+    print "    contents:", dir(pointsmodelpymodule)
 
-    print()
-    print(pointsmodelpymodule.hello())
+    print
+    print pointsmodelpymodule.hello()
 
 # version
Index: src/sas/sascalc/simulation/pointsmodelpy/tests/test2dui.py
===================================================================
--- src/sas/sascalc/simulation/pointsmodelpy/tests/test2dui.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sascalc/simulation/pointsmodelpy/tests/test2dui.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
@@ -7,5 +7,4 @@
 #  Imports:
 #--------------------------------------------------------------------------------
-from __future__ import print_function
 
 import wx
@@ -47,5 +46,5 @@
 
         data = ImageData(value_grid, index_vals)
-        print(value_grid, index_vals)
+        print value_grid, index_vals
         
         # Create the index axes
Index: src/sas/sascalc/simulation/pointsmodelpy/tests/testcomplexmodel.py
===================================================================
--- src/sas/sascalc/simulation/pointsmodelpy/tests/testcomplexmodel.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sascalc/simulation/pointsmodelpy/tests/testcomplexmodel.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
@@ -1,8 +1,5 @@
-from __future__ import print_function
-
 from sasModeling.pointsmodelpy import pointsmodelpy
 from sasModeling.iqPy import iqPy
 from sasModeling.geoshapespy import geoshapespy
-
 
 #First testing: a normal case, a lores model holds a sphere
@@ -64,7 +61,7 @@
   iqPy.OutputIQ(iqcomplex,"testcomplex2.iq")
 
-  print("p(r) is saved in testcomplex2.pr")
-  print("I(Q) is saved in testcomplex2.iq")
-  print("pass")
+  print "p(r) is saved in testcomplex2.pr"
+  print "I(Q) is saved in testcomplex2.iq"
+  print "pass"
 
 #testing 3, insert one empty pdbmodel and one loresmodel
@@ -91,7 +88,7 @@
   iqPy.OutputIQ(iqcomplex,"testcomplex3.iq")
 
-  print("p(r) is saved in testcomplex3.pr")
-  print("I(Q) is saved in testcomplex3.iq")
-  print("pass")
+  print "p(r) is saved in testcomplex3.pr"
+  print "I(Q) is saved in testcomplex3.iq"
+  print "pass"
 
 # Test 2D complex model
@@ -109,6 +106,6 @@
     pointsmodelpy.get_complexpoints(complex,vpcomplex);
  
-    print(pointsmodelpy.get_complex_iq_2D(complex,vpcomplex,0.1,0.1));
-    print(pointsmodelpy.get_complex_iq_2D(complex,vpcomplex,0.01,0.1));
+    print pointsmodelpy.get_complex_iq_2D(complex,vpcomplex,0.1,0.1);
+    print pointsmodelpy.get_complex_iq_2D(complex,vpcomplex,0.01,0.1);
 
 
Index: src/sas/sascalc/simulation/pointsmodelpy/tests/testlores.py
===================================================================
--- src/sas/sascalc/simulation/pointsmodelpy/tests/testlores.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sascalc/simulation/pointsmodelpy/tests/testlores.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
@@ -1,5 +1,2 @@
-from __future__ import print_function
-
-
 if __name__ == "__main__":
 
@@ -13,10 +10,10 @@
 #    print "   ", pointsmodelpymodule.copyright()
 
-    print()
-    print("module information:")
-    print("    file:", pointsmodelpy.__file__)
-    print("    doc:", pointsmodelpy.__doc__)
-    print("    contents:", dir(pointsmodelpy))
-    print("    contents:", dir(geoshapespy))
+    print
+    print "module information:"
+    print "    file:", pointsmodelpy.__file__
+    print "    doc:", pointsmodelpy.__doc__
+    print "    contents:", dir(pointsmodelpy)
+    print "    contents:", dir(geoshapespy)
 
 #    a = geoshapespy.new_singlehelix(10,2,30,2)
@@ -49,7 +46,7 @@
     pointsmodelpy.outputPDB(lm,vp,"modelpy.pseudo.pdb")
 
-    print("calculating distance distribution")
+    print "calculating distance distribution"
     rmax = pointsmodelpy.get_lores_pr(lm,vp)
-    print("finish calculating get_lores_pr, and rmax is:", rmax)
+    print "finish calculating get_lores_pr, and rmax is:", rmax
     pointsmodelpy.outputPR(lm,"testlores.pr")
     pointsmodelpy.get_lores_iq(lm,iq)
@@ -57,7 +54,7 @@
     iqPy.OutputIQ(iq, "testlores.iq")
 
-    print("Testing get I from a single q")
+    print "Testing get I from a single q"
     result = pointsmodelpy.get_lores_i(lm,0.1)
-    print("The I(0.1) is: %s" % str(result)) 
+    print "The I(0.1) is: %s" % str(result) 
 
 # version
Index: src/sas/sascalc/simulation/pointsmodelpy/tests/testlores2d.py
===================================================================
--- src/sas/sascalc/simulation/pointsmodelpy/tests/testlores2d.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sascalc/simulation/pointsmodelpy/tests/testlores2d.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
@@ -1,5 +1,2 @@
-from __future__ import print_function
-
-
 def test_lores2d(phi):
   from sasModeling.pointsmodelpy import pointsmodelpy 
@@ -48,8 +45,8 @@
   value_grid = zeros((100,100),Float)
   width, height = value_grid.shape
-  print(width,height)
+  print width,height
 
   I = pointsmodelpy.calculateI_Qxy(lm,0.00001,0.000002)
-  print(I)
+  print I
 
   Imax = 0
@@ -89,8 +86,8 @@
   value_grid = zeros((100,100),Float)
   width, height = value_grid.shape
-  print(width,height)
+  print width,height
 
   I = pointsmodelpy.calculateI_Qxy(lm,0.00001,0.000002)
-  print(I)
+  print I
 
   Imax = 0
@@ -112,7 +109,7 @@
 if __name__ == "__main__":
 
-  print("start to test lores 2D")
+  print "start to test lores 2D"
 #  test_lores2d(10)
   value_grid = get2d_2()
-  print(value_grid)
-  print("pass")
+  print value_grid
+  print "pass"
Index: src/sas/sasgui/guiframe/config.py
===================================================================
--- src/sas/sasgui/guiframe/config.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sasgui/guiframe/config.py	(revision ea45bfe4e68bda8abf0866aa2c51cfcf4cf63e36)
@@ -2,6 +2,4 @@
     Application settings
 """
-from __future__ import print_function
-
 import time
 import os
@@ -152,5 +150,5 @@
         :TODO - Need method doc string
         """
-        print("%g:  %s" % (time.clock(), message))
+        print "%g:  %s" % (time.clock(), message)
 
         if __EVT_DEBUG_2_FILE__:
Index: src/sas/sasgui/guiframe/data_panel.py
===================================================================
--- src/sas/sasgui/guiframe/data_panel.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sasgui/guiframe/data_panel.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
@@ -11,6 +11,4 @@
 This module provides Graphic interface for the data_manager module.
 """
-from __future__ import print_function
-
 import wx
 from wx.build import build_options
@@ -516,5 +514,5 @@
                 self.parent.save_data2d(data, default_name)
             else:
-                print("unable to save this type of data")
+                print "unable to save this type of data"
 
     def layout_data_list(self):
@@ -1499,5 +1497,5 @@
     except:
         # raise
-        print("error", sys.exc_value)
+        print "error", sys.exc_value
 
     app.MainLoop()
Index: src/sas/sasgui/guiframe/data_processor.py
===================================================================
--- src/sas/sasgui/guiframe/data_processor.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sasgui/guiframe/data_processor.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -18,6 +18,4 @@
 
 """
-from __future__ import print_function
-
 import os
 import sys
@@ -2037,5 +2035,5 @@
         frame.Show(True)
     except:
-        print(sys.exc_value)
+        print sys.exc_value
 
     app.MainLoop()
Index: src/sas/sasgui/guiframe/dummyapp.py
===================================================================
--- src/sas/sasgui/guiframe/dummyapp.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sasgui/guiframe/dummyapp.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
@@ -3,6 +3,4 @@
 Allows the user to set an external data manager
 """
-from __future__ import print_function
-
 import sas.sasgui.guiframe.gui_manager as gui_manager
 
@@ -34,5 +32,5 @@
         plug_menu.Append(id, '&Do something')
         def _on_do_something(event):
-            print("Do something")
+            print "Do something"
         wx.EVT_MENU(self.parent, id, _on_do_something)
     
Index: src/sas/sasgui/guiframe/gui_style.py
===================================================================
--- src/sas/sasgui/guiframe/gui_style.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sasgui/guiframe/gui_style.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
@@ -3,6 +3,4 @@
 Provide the style for guiframe
 """
-from __future__ import print_function
-
 import wx
 import os
@@ -81,12 +79,12 @@
 if __name__ == "__main__":
   
-    print(GUIFRAME.DEFAULT_STYLE)
-    print(GUIFRAME.FLOATING_PANEL)
-    print(GUIFRAME.SINGLE_APPLICATION)
+    print GUIFRAME.DEFAULT_STYLE
+    print GUIFRAME.FLOATING_PANEL
+    print GUIFRAME.SINGLE_APPLICATION
     style = GUIFRAME.MULTIPLE_APPLICATIONS
     style &= GUIFRAME.PLOTTING_ON
-    print(style == GUIFRAME.PLOTTING_ON)
+    print style == GUIFRAME.PLOTTING_ON
     style1 = GUIFRAME.MULTIPLE_APPLICATIONS
     style1 &= (~GUIFRAME.MANAGER_ON)
-    print(style1 == GUIFRAME.DEFAULT_STYLE)
-    print(style1)
+    print style1 == GUIFRAME.DEFAULT_STYLE
+    print style1
Index: src/sas/sasgui/guiframe/proxy.py
===================================================================
--- src/sas/sasgui/guiframe/proxy.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sasgui/guiframe/proxy.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
@@ -1,6 +1,4 @@
 #!/usr/bin/env python
 # -*- coding: utf-8 -*-
-from __future__ import print_function
-
 import urllib2
 import sys
@@ -159,5 +157,5 @@
     response = c.connect()
     if response is not None:
-        print(50 * '-')
+        print 50 * '-'
         content = json.loads(response.read().strip())
         pprint(content)
